<bugID>1047469<Summary>Implement search terms hilighting</Summary><Description>this is the implementation bug for bug 1034382.

We should expand formatValue to also hilight search terms when an url is recognized as a search.

We have a new API to parse urls into search terms implemented in bug 1040721 we can use here. We should expand it though to provide us the ranges directly. Then this should become quite trivial.

Note: the UX mock-up is here: https://bug1029848.bugzilla.mozilla.org/attachment.cgi?id=8450207 (see bug 1029848 for further insight).</Description></bugID>